Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl(Time/HiRes.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl-HTML-Template
Name:           perl-CGI-Application-Plugin-DevPopup
Version:        1.08
Release:        alt1_2
Summary:        Runtime cgiapp info in a popup window
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/CGI-Application-Plugin-DevPopup/
Source0:        http://www.cpan.org/authors/id/R/RH/RHESA/CGI-Application-Plugin-DevPopup-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(CGI/Application.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/Template.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(Log/Dispatch/Handle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/NoWarnings.pm)
BuildRequires:  perl(Test/Pod.pm)


Source44: import.info

%description
This module provides a plugin framework for displaying runtime information
about your CGI::Application app in a popup window. A sample Timing plugin
is provided to show how it works.

%prep
%setup -q -n CGI-Application-Plugin-DevPopup-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_2
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_4
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1_2
- fc import

